ISXEQ2 - Bug #2143

Property ${Target.OffersQuest} reply NULL with "Signature Quest" giver
2020-05-15 09:34 AM - ethreayd

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

vbulletin_issue_id:

Description

When using echo ${Target.OffersQuest} on traditional Quest Giver, it replies "normal". On "Shiny Quill" ones, the quest givers for
Signature, it replies NULL like for a non quest giver. | think it's not behaving as intended.

History

#1 - 2020-05-16 02:57 AM - ethreayd

As asked | have run this script on a signature quest giver that repy NULL when echo ${Target.OffersQuest} :

function main() { variable index:string ActiveStates variable iterator ActiveStateslterator variable int Counter
Target:GetActiveStates[ActiveStates] ActiveStates:Getlterator[ActiveStateslterator] if ${ActiveStateslterator:First(exists)} { echo "${Target.Name}
(ID: ${Target.ID})" echo "- ActiveStates:" Counter:Set[1] do { echo "-- ${Counter}. '${ActiveStateslterator.Value}" Counter:Inc } while
${ActiveStateslterator:Next(exists)} echo "-=-=-=-=-=-=-"}}

And here is the output :

Blaira Va'Tyrn (ID: 101663)

- ActiveStates:

-- 1. 'idle'

-- 2. 'status_quest_gives_storyline'
-- 3. 'tail'

-- 4. 'mood_idle'

#2 - 2020-05-16 11:57 AM - Amadeus

- Status changed from New to Resolved

Fixed/Updated in version 20200512.0005.
